# Privacy Policy
[LifeDots](https://github.com/XilinJia/LifeDots) is a free, libre and open source application to track your activities. This privacy policy applies to this Android application and describes what data is stored and processed by the LifeDots.

Last updated March 04, 2022

## Introduction
Developers of LifeDots, we (or “us” or “our”) respect the privacy of our users (“user” or “you”). As the aim of this application is to keep a record of your activites a lot of sensitive personal information is collected and stored. Nevertheless this is your data and you have full control over it. This Privacy Policy explains how the LifeDots application (the “Application”) collects, uses, discloses, and safeguards your information. Our names can be extracted from the meta data in the git repositories and within the Application.

Please read this Privacy Policy carefully. If you do not agree with the terms of this Privacy Policy, please do not access the Application and remove it from your device.

We reserve the right to make changes to this Privacy Policy at any time and for any reason. We will alert you about any changes by updating the “Last updated” date of this Privacy Policy. 

You are encouraged to periodically review this Privacy Policy to stay informed of updates. You will be deemed to have been made aware of, will be subject to, and will be deemed to have accepted the changes in any revised Privacy Policy by your continued use of the Application after the date such revised Privacy Policy is posted.

This Privacy Policy does not apply to the third-party online/mobile store from which you install the Applications or make payments, which may also collect and use data about you. We are not responsible for any of the data collected by any such third party.

## What data is processed and stored?

- **Activity Data**

     The data you enter to record your activities, including the date and time of start and end of the activity, combined with formatting, notes, pictures and relationships between different activites you attach to those activites is stored. Deleting entries like activities or pictures doesn't completely remove them from the database but only hides them.
 
- **Geo-Location Information (ACCESS_FINE_LOCATION, GPS)**

     If configured the application accesses location-based information from your mobile device to relate acitivites to location and provide activity suggestions based on location information. If you wish to change ActivityDiarys access or permissions, you may do so in your device’s settings or disable the the use of location services in the applications settings. Note that this does not influence or remove the already collected location data.

- **Device storage (WRITE_EXTERNAL_STORAGE)**

     Storage and retreival of backups, photos and other files you attach to your LifeDots need access to Androids "external storage" / SD card.

- **Camera**

     The application enables you to take photos with your devices' camera and attach them to your LifeDots. This is the only usage of the camera permission.

- **Network state (ACCESS_NETWORK_STATE, ACCESS_WIFI_STATE)**

     Network and WIFI state is stored to correlate activities to those data and to propose and set next activites based on the current state.

- **Crash Reporting**

     In case of a program fault (crash) the application prepares a report that helps us to improve the behavior of the application. This report contains a lot of technical data about your device and operating system, the complete preferences of the application and the trace of program steps that was exectued right before the crash. The hardware of your device including but not limited to screen size and resolution, the manufacturer, the language setting and versions of the operating system and application are identifiable. The repared report is not transmitted automatically, but shared to your email application in a newly composed email that you - at your own will - can send to us or whomever you want. Protecting the data during transmission by using encrypted email transfer is under responsibility of you and your mail service provider. We highly recommend to thoroughfully review the report and remove all data you don't want to share or understand.
     
     As the used media is email you will disclose your name, email address, and several other technical data like IP address and email service provider by transmitting a crash report. We will not use this information for anything else than contacting you about the crash.
     
     Anonymous extracts of the report that do not allow your indentification might be used in the public issue tracker for documenting the crash and tracking the rework.
     
     Additional to this report prepared by the application your operating system or services on you device might transmit crash or usage reports, but those are not part of LifeDots, not covered by this privacy policy and under your own responsibility.

## Why does the application store data?

The Applications is designed to create a record of your activites. This is achieved by selecting the current activities manually or automatically, based on evaluation of data collected by you or your device. The data you enter into the application is stored for later retreival by the user. The application stores and evaluates data of different sensors of your device to suggest or even automatically select the next activities. No data is collected, transmitted or stored that is not required for its intended functionality.
 
When you access the Application, your personal information is stored and evaluated locally on your device and not transmitted to any organization or company without your explicity request.

The stored data can be deleted by removing the application and deleting the backups created by you and backup mechanisms of your device.

## How is the data protected?

The Application store unencrypted data locally on the device it is executed on. You are responsible to protect the stored data from unauthorized access. We highly recommend to protect your device with a strong password and even encrypt your devices' storage. Backups created by the application itself or any device backup mechanism also need to be protected by you in a similar fashion.

## Security of your information

We use the mechanisms provided by the Android framework to protect your personal information from other applications on your device. While we have taken reasonable steps to secure the personal information you provide to us, please be aware that despite our efforts, no security measures are perfect or impenetrable, and no method of data protection can be guaranteed against any interception or other type of misuse. Therefore, we cannot guarantee complete security of you provide personal information.

## Your rights

At any time and free of cost you have the right to ask us about which data we store about you. You can always request for correction or removal of personal data or restrict the use of your data.

## Contact us
If you have questions or comments about this Privacy Policy, please contact us at:

     Xilin Jia

     https://github.com/XilinJia/LifeDots
